Bug 3066 - Service adsl breaks chrooted resolver
: Service adsl breaks chrooted resolver
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rp-pppoe-client)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
: 3005
  Show dependency tree
 
Reported: 2003-09-29 06:32 by
Modified: 2005-08-30 13:06 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-09-29 06:32:17
Сервис adsl при запуске удаляет файл /etc/resolv.conf и заменяет его симлинком 
на /etc/ppp/resolv.conf, который недоступен резолверу работающему в chrooted 
jail, в результате чего резолвер оказывается полностью нефункционален. Это 
происходит не всегда, а только если скрипт запуска adsl обнаруживает что файлы 
/etc/resolv.conf и /etc/ppp/resolv.conf не совпадают, например, если сервер 
DSL обновил список серверов DNS или сменил IP адрес/имя хоста. Скрипт 
update_chrooted не в состоянии обработать такую ситуацию (а он должен?). То же 
самое происходит при запуске сервиса internet при установленом сервисе adsl 
(видимо internet вызывеает те же скрипты запуска adsl). 

Steps to Reproduce:
1.# service adsl start 
2.# ls -l /etc/resolv.conf 
3. host www.altlinux.ru 
Actual Results:  
Host not found 


Expected Results:  
www.altlinux.ru has address 62.118.250.7
------- Comment #1 From 2003-10-01 12:20:15 -------
Fixed in rp-pppoe-3.5-alt9